import { select,geoMercator,geoPath } from 'd3';

const width = 960;
const height = 450;
console.log(width,height)


// let svg = select('body').append('svg').attr('width', width).attr('height', height);
const svg = select('svg').attr('width', width).attr('height', height);

const g = svg.append('g');

const mercator = geoMercator().scale(60000).translate([width/2, height/2]).center([72.87,19.08]);

const pathGenerator = geoPath().projection(mercator);
// let url = 'https://geoserver2.communitygis.net/geoserver/geonode/ows?service=WFS&version=1.0.0&request=GetFeature&typeName=geonode%3Acorporatorwardboundary_mumbai_1_0&outputFormat=json'
// let url = 'https://gis.communitygis.net/geoserver/ows?service=WFS&version=1.0.0&request=GetFeature&typename=geonode%3ACorporate_Ward_Boundaries_28Dec2021&outputFormat=json&srs=EPSG%3A4326&srsName=EPSG%3A4326'

let activatedWards = [61];
let render = features =>{

  const paths = g.selectAll('path').data(features)
  .enter().append('path').attr('class', 'wards').attr('d',pathGenerator).attr('stroke','white').attr('stroke-width','.5px')
  .attr('fill',d =>{
  	let wardNo = parseInt(d.properties.prabhag_no);
  	if(activatedWards.includes(wardNo)) return 'green';
    else return 'grey';
  })
  
  //on clicking the polygon in ward
  
  const clicked = (d,x) =>{ 
      let wardNo = parseInt(x.properties.prabhag_no);
      if(activatedWards.includes(wardNo))  window.open('google.com', '_blank');
	}
  paths.on('click',clicked)


  
  // features.map(data =>{
  // console.log(data.properties.prabhag_no)
  // })
  
  g.selectAll("text").data(features)
    .enter().append("text")
    .text(d => parseInt(d.properties.prabhag_no))
    .attr("x", function(d){
        return pathGenerator.centroid(d)[0];
    })
    .attr("y", function(d){
        return  pathGenerator.centroid(d)[1];
    })
    .attr("text-anchor","middle")
    .attr('font-size','4pt')
  	
    .attr("font-family", "sans-serif");
  
  
  
  
}

d3.json('wards.json').then(geojson =>{
  // console.log(geojson)
 render(geojson.features)
})